System 2.0.0.0 4.0.0.0 System.Enum System.Flags

This enumeration is used with the class to indicate special characters contained in the distinguished name.

Several values are mutually exclusive in this enumeration; use only one of these values to define the special characteristics of an X.500 distinguished name. For example, specify only one of the , , and values. You would also specify either or .

Specifies characteristics of the X.500 distinguished name.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X500DistinguishedNameFlags

  The distinguished name does not use the plus sign.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X500DistinguishedNameFlags

  The distinguished name does not use quotation marks.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X500DistinguishedNameFlags

  Forces the distinguished name to encode specific X.500 keys as UTF-8 strings rather than printable Unicode strings. For more information and the list of X.500 keys affected, see the X500NameFlags enumeration.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X500DistinguishedNameFlags

  The distinguished name has no special characteristics.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X500DistinguishedNameFlags

  The distinguished name is reversed.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X500DistinguishedNameFlags

  The distinguished name uses commas.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X500DistinguishedNameFlags

  The distinguished name uses the new line character.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X500DistinguishedNameFlags

  The distinguished name uses semicolons.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X500DistinguishedNameFlags

  The distinguished name uses T61 encoding.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X500DistinguishedNameFlags

  The distinguished name uses UTF8 encoding instead of Unicode character encoding.